Uploaded image for project: 'Nuxeo Platform'
  1. Nuxeo Platform
  2. NXP-19111

S3 plugin should work on regions that only support V4 signature

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 5.8.0-HF39, 6.0-HF27, 7.10-HF05, 8.1
    • Fix Version/s: 7.10-HF06, 8.10
    • Component/s: S3

      Description

      The AWS API has different versions of the authentication protocol.
      Some AWS regions only support the newest ones ("Version 4 signature").

      The SDK handles this transparently, but only when the region is set explicitely in the client.
      For those regions, manage this setting. Keep the previous behaviour for the others as it is less costly.

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                0 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - 0 minutes
                  0m
                  Remaining:
                  Remaining Estimate - 0 minutes
                  0m
                  Logged:
                  Time Spent - 15 minutes
                  15m

                    PagerDuty

                    Error rendering 'com.pagerduty.jira-server-plugin:PagerDuty'. Please contact your Jira administrators.